+ Post New Thread
Page 1 of 645 1 2 3 11 51 101 501 ... LastLast
Threads 1 to 25 of 16109

Forum: AutoLISP, Visual LISP & DCL

Questions from beginner to advanced. Tell us about good sources of free lisp and post your own routines for testing.
Code posting guidelines

  1. FAQ Article Sticky Thread Sticky: Suggested changes to this forum

    The "AutoLISP, VBA, the CUI & Customisation" forum has become a very lively part of the AutoCAD Forums and probably needs a structural review in order to acommodate growth in the future. I'm...

    Started by CADTutor‎, 14th Jun 2010 09:44 am
    8 Pages
    1 2 3 ... 8
    • Replies: 75
    • Views: 93,457
    12th Aug 2010 08:09 am Go to last post
  2. FAQ Article Sticky Thread Sticky: Code posting guidelines

    Code posting guidelines When you are posting AutoLISP or VBA code in these forums, there are some simple guidellines you should observe in order to make life easier for you and for others. ...

    Started by CADTutor‎, 18th Sep 2006 10:46 pm
    • Replies: 0
    • Views: 76,369
    18th Sep 2006 10:46 pm Go to last post
  1. Hit enter or return to end lisp routine without error

    All, Can someone help me with getting rid of the "ERROR" that happens when i hit enter or return to end the routine. Basically this give me the chance to reset my titleblocks so they print in...

    Started by BrianTFC‎, Yesterday 06:20 pm
    enter, error message, lisp, return
    • Replies: 2
    • Views: 73
    Yesterday 11:00 pm Go to last post
  2. **Lisp routine to move text or mtext to midpoint of 2 points**

    Good morning all, Does anyone have a iisp routine that they can share that will first make mtext or text insertion point as MC for moving purposes and then be able move it to "mid between 2...

    Started by notredave‎, Yesterday 05:26 pm
    • Replies: 9
    • Views: 130
    Yesterday 10:55 pm Go to last post
  3. Lisp for copy text...variations on the theme

    Hello, in my work (unfortunately) I spend a lot (too much) of time copying texts between blocks...Fortunately, however, I found some lisps that speed up this operation! But I could not find...

    Started by itacad‎, 9th Mar 2018 10:51 pm
    2 Pages
    1 2
    • Replies: 15
    • Views: 501
    Yesterday 10:52 pm Go to last post
  4. Text within block to attribute, multiple blocks

    Does anyone know of a routine that: -iterates through multiple selected blocks that contain text objects -converts each text object within each block to an attribute (preserving text properties...

    Started by dingleboy‎, Yesterday 10:52 pm
    • Replies: 0
    • Views: 44
    Yesterday 10:52 pm Go to last post
  5. SSGET - BLOCK, then Explode

    I want to capture entities on a particular layer in a region and this does it correctly. I then want to explode the block. The command to explode it is not working. Below is a screen shot of...

    Started by GregGleason‎, Yesterday 06:33 pm
    • Replies: 5
    • Views: 92
    Yesterday 08:12 pm Go to last post
  6. Lisp to automatically draw rectangles where it intersects with specific points

    Hi there folks, i work in a company that manufactures models for buildings. And i work specific in the drawing sector, where i use AutoCad to draw the pieces for the models. In our line of work...

    Started by BlacK_SmokE‎, 12th Mar 2018 06:46 pm
    • Replies: 7
    • Views: 247
    Yesterday 06:01 pm Go to last post
  7. SSGET - BLOCK, then Search Descriptions

    I have an SSGET for a block, and the selection works. I then want to do a wildcard search for each block description. Then I want to keep blocks with descriptions with "AAA", "BBB", and "CCC" and...

    Started by GregGleason‎, 19th Mar 2018 07:04 pm
    4 Pages
    1 2 3 ... 4
    • Replies: 31
    • Views: 455
    Yesterday 05:02 pm Go to last post
  8. Using VLA-Item

    A lot of questions all come at once it seems... I am not entirely confident in using this function, but I want to master it. Currently, when extracting an item from a collection, I am using...

    Started by Lee Mac‎, 1st Jun 2009 02:45 pm
    • Replies: 9
    • Views: 11,898
    Yesterday 04:15 pm Go to last post
  9. Selection of contours automatically

    Hello everybody, I have a series of closed contours starting from 2.0m to 3.0m at intervals of 0.1m. I can get the area enclosed by each contour line manually by using measuregeom command and...

    Started by aloy‎, 17th Mar 2018 02:07 pm
    2 Pages
    1 2
    • Replies: 13
    • Views: 463
    Yesterday 01:23 pm Go to last post
  10. Dimension Text Format

    Can anyone help me format some dimension text through LISP? I would like to get the text formatted as horizontally stacked fractions w/ no space between inches and fractions. E.g. (setq txt...

    Started by Arepo‎, 15th Mar 2018 09:00 pm
    2 Pages
    1 2
    • Replies: 11
    • Views: 416
    21st Mar 2018 11:13 pm Go to last post
  11. Question Lee Mac's InsertWithState program - Insertion point question

    I'm utilizing Lee Mac's InsertWithState function to insert dynamic blocks with specific visibility states and it works great. Can someone please show me how to specify the insertion point in the...

    Started by LosGirk‎, 20th Mar 2018 06:59 pm
    • Replies: 2
    • Views: 183
    21st Mar 2018 09:53 pm Go to last post
  12. TABLESTYLE Text for Title & Headers

    I need a way to accurately and quickly count objects in an AutoCAD file and once again, our main man Lee-Mac has an excellent example called TCount which fits the bill nicely. Here are some...

    Started by Bill Tillman‎, 16th Mar 2018 09:38 pm
    • Replies: 8
    • Views: 309
    21st Mar 2018 09:04 pm Go to last post
  13. Piling As built

    Hi all,i have a lisp which can get the piling as built deviation but need to click one by one. 1.Click the proposed position 2.Click the as built pile position 3.Place the deviation (This is...

    Started by jason tay‎, 12th Feb 2008 11:25 am
    7 Pages
    1 2 3 ... 7
    • Replies: 65
    • Views: 40,222
    21st Mar 2018 06:56 am Go to last post
  14. Rusty LISP Skills

    Trying to dust off some code here for a new project and finding out how rusty I've gotten with LISP. So before I go to my real question can someone tell me why this works: (defun c:sk (/ dxf ent)...

    Started by Bill Tillman‎, 19th Mar 2018 11:39 pm
    • Replies: 3
    • Views: 286
    21st Mar 2018 12:05 am Go to last post
  15. write and read text files

    I'd like to make a lisp that allows cad to communicate with excell. I do know there is a way to write and read .csv files and I'll look into that later, but I really like the versatility of text...

    Started by saim‎, 31st Oct 2017 01:11 pm
    • Replies: 9
    • Views: 695
    20th Mar 2018 03:08 pm Go to last post
  16. Thousands Comma Separator

    Hello everyone! I have a lisp routine here that computes and displays the area of a polygon. My problem is it shows no comma for areas above 999. Can someone help me how to improve this lisp routine?...

    Started by Russello‎, 20th Mar 2018 05:11 am
    thousands comma separator
    • Replies: 7
    • Views: 194
    20th Mar 2018 01:34 pm Go to last post
  17. Intersection from two points at Polygon

    Hi, I need a lisp that draw a point at the intersection axis extension of two picked Points at a Polygon. Or make this point as basepoint. (e.g. when I move the polygon) Thanks everybody for...

    Started by Juergen‎, 16th Mar 2018 07:55 am
    • Replies: 2
    • Views: 206
    20th Mar 2018 06:27 am Go to last post
  18. SSGET - Polyline Select by Closed = Yes

    I am have a selection that is to get closed polylines on the indicated layer. The goal is if the closed polyline has 6 vertices then that polyline will be changed to another layer. I need help...

    Started by GregGleason‎, 17th Mar 2018 09:55 pm
    • Replies: 5
    • Views: 208
    20th Mar 2018 02:57 am Go to last post
  19. Polyline to text

    Hello Hello i have simple question. How to calculate values shown in the attachment (polyline) using LISP?

    Started by jan_ek‎, 19th Mar 2018 04:39 pm
    • Replies: 2
    • Views: 288
    19th Mar 2018 08:01 pm Go to last post
  20. Delete Text objects throughout drawing consisting of a specific string.

    Hello, I've had a great response to my first post here so I hope I will find some understanding this time too. My drawing has 66 layouts created from an incorrect template, and each has lots of...

    Started by pateksan‎, 16th Mar 2018 03:14 pm
    • Replies: 8
    • Views: 240
    19th Mar 2018 10:01 am Go to last post
  21. Tic Tac Toe

    CADTutor was down for maintenance, which reminded me what I wanted to do: Not the prettiest coding, but upon testing there are no failures: (defun C:test nil (TicTacToe) )

    Started by Grrr‎, 18th Mar 2018 12:10 pm
    • Replies: 6
    • Views: 285
    19th Mar 2018 02:30 am Go to last post
  22. AutoCAD Lisp to Run a command Automatically when opened the file

    Hi All I have a bunch of files in a folder, I have to do the purging process on several files. I have a lisp file to open the file automatically, So my idea is, after open the file, if the file...

    Started by acad1985‎, 16th Mar 2018 06:08 pm
    3 Pages
    1 2 3
    • Replies: 21
    • Views: 472
    18th Mar 2018 07:44 pm Go to last post
  23. count blocks & set lookup1

    Hello lisp artists, need some help with these lisps, I want to automatically set the cable tags (block "kabeltype A or B") in the attached drawing. The lisp should count the blocks in a range than...

    Started by pmxcad‎, 16th Mar 2018 11:06 pm
    • Replies: 6
    • Views: 201
    17th Mar 2018 10:58 pm Go to last post
  24. SSGET - Polyline Select by Range in Length

    Here is the code that works so far: (setq ss (ssget "_C" '(7.244 2.071) '(16.665 10.003) '((0 . "*POLYLINE") (8 . "PIPE-IsoPrim"))))What I want to do is limit the selection to a range of the...

    Started by GregGleason‎, 16th Mar 2018 04:56 pm
    2 Pages
    1 2
    • Replies: 11
    • Views: 345
    17th Mar 2018 09:05 pm Go to last post
  25. Create hatch based on the envelope

    Hello I have a block containing polyline "Test*". What would I like to do? 1. Get the shape of the polyline 2. Divide the shape into 2 parts 3. Create a hatch with an RGB color and individual...

    Started by jan_ek‎, 21st Feb 2018 10:29 pm
    4 Pages
    1 2 3 ... 4
    • Replies: 31
    • Views: 1,062
    17th Mar 2018 08:46 pm Go to last post

Thread Display Options

Use this control to limit the display of threads to those newer than the specified time frame.

Allows you to choose the data by which the thread list will be sorted.

Order threads in...

Note: when sorting by date, 'descending order' will show the newest results first.

Icon Legend

Contains unread posts
Contains unread posts
Contains no unread posts
Contains no unread posts
More than 15 replies or 250 views
Hot thread with unread posts
More than 15 replies or 250 views
Hot thread with no unread posts
Closed Thread
Thread is closed
Thread Contains a Message Written By You
You have posted in this thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts